Bug 72587 - (IEEE1394)hardware detection hang with IEEE1394 on initial bootup
(IEEE1394)hardware detection hang with IEEE1394 on initial bootup
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
: 74799 76303 77654 81108 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-08-25 17:16 EDT by Thor Nolen
Modified: 2008-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kudzu dump and trace (1.92 KB, text/plain)
2002-08-25 17:17 EDT, Thor Nolen
no flags Details

  None (edit)
Description Thor Nolen 2002-08-25 17:16:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Upon initial post-upgrade (or fresh install) boot the system hangs and then
dumps on ieee1394 during the new hardware detection step.  Hardware is a Sony
GRX570 laptop.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Either install 7.3 and upgrade  to null or do fresh install of null (7.3 does
not have this issue).
2. Reboot computer and observe the bootup steps.  
3. Hangs at kudzu hardware detection and dumps ieee1394 info.
4. Reboot into single user and disable kudzu on bootup.
5. System boots fine, runs fine.
6. Run kudzu from command line and it dumps with stack trace first time only.
7. Rerun kudzu from command line, but no dumps.
8. Reactivate kudzu for run level 3 boot up.
9. Reboot with kudzu enabled gives dump and boot hang.

Additional info:
Comment 1 Thor Nolen 2002-08-25 17:17:17 EDT
Created attachment 72867 [details]
kudzu dump and trace
Comment 2 Bill Nottingham 2002-08-26 01:54:07 EDT
Cute, the kernel oopsed.
Comment 3 Kai Thomsen 2002-09-03 08:36:26 EDT
This happens on my Sony VAIO GR series (315MP) laptop, too.  Apparently, it is 
a PCI IRQ routing issue, which can be tackled by using the ACPI kernel patch 
from http://sf.net/projects/acpi/ (works for me).
Comment 4 Alan Cox 2003-06-07 22:07:24 EDT
*** Bug 74799 has been marked as a duplicate of this bug. ***
Comment 5 Alan Cox 2003-06-07 22:08:10 EDT
*** Bug 76303 has been marked as a duplicate of this bug. ***
Comment 6 Alan Cox 2003-06-07 22:09:22 EDT
*** Bug 77654 has been marked as a duplicate of this bug. ***
Comment 7 Alan Cox 2003-06-08 12:26:26 EDT
*** Bug 81108 has been marked as a duplicate of this bug. ***
Comment 8 Amin Adatia 2003-06-15 20:06:09 EDT
This problem which surprisingly has a NORMAL severity (on a system HANG???) 
also occurs on Linux v9. I get the hang at "Initializing firewire controller 

Is Linux really ready for prime time? This is a poor experience with first use 
of Linux.
Comment 9 Bugzilla owner 2004-09-30 11:39:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.